@ECHO OFF
CLS
ECHO   SPEEDCHK was designed to exercise your HD/RD and caching
ECHO   software to optimize cache SIZE, LOOKAHEAD and # BUFFERS.
ECHO.
ECHO   Step BUFFERS by 5 from 5 to more than 25 and find the fastest
ECHO   range, then step by 1 in that range. Buffers will affect the
ECHO   times with cached Hd and Rd (uncached) differently. Compromise.
ECHO.
ECHO   Cache size and lookahead also have optimums. Try zero lookahead
ECHO   for best speed with small files, one cylinder maximum. For cache
ECHO   size, start at one cylinder and make doubling steps for testing.
ECHO   Quit when improvement for doubled size is less than 10 percent.
ECHO   1 track=Sector size x Sectors/track. 1 cyl.= 1 track x # heads.
ECHO   Very large cache sizes can actually waste time if they don't
ECHO   contain the target data.
ECHO.
ECHO   ***************************************************************
ECHO.
ECHO   A total of 228 files with different names and lengths ranging
ECHO   from 3 bytes to 526Kb are created by summing and cross copying.
ECHO   This will make *temporary* use of about 1.8Mb of 4k cluster disk
ECHO   space and typically take about 1 minute per run on a HARD disk.
ECHO.
ECHO   ***************************************************************
Pause
CLS
timemark start >nul
MD !TEST!
CD !TEST!
MD SUM
ECHO.
ECHO Creating 64 short files of different lengths
ECHO ?>SUM0
copy >nul .\SUM0/b+SUM0/b .\SUM\SUM2/b
copy >nul .\SUM\SUM2/b+SUM0/b .\SUM1/b
copy >nul .\SUM1/b+SUM0/b .\SUM\SUM4/b
copy >nul .\SUM\SUM4/b+SUM0/b .\SUM3/b
copy >nul .\SUM3/b+SUM0/b .\SUM\SUM6/b
copy >nul .\SUM\SUM6/b+SUM0/b .\SUM5/b
copy >nul .\SUM5/b+SUM0/b .\SUM\SUM8/b
copy >nul .\SUM\SUM8/b+SUM0/b .\SUM7/b
copy >nul .\SUM7/b+SUM0/b .\SUM\SUM10/b
copy >nul .\SUM\SUM10/b+SUM0/b .\SUM9/b
copy >nul .\SUM9/b+SUM0/b .\SUM\SUM12/b
copy >nul .\SUM\SUM12/b+SUM0/b .\SUM11/b
copy >nul .\SUM11/b+SUM0/b .\SUM\SUM14/b
copy >nul .\SUM\SUM14/b+SUM0/b .\SUM13/b
copy >nul .\SUM13/b+SUM0/b .\SUM\SUM16/b
copy >nul .\SUM\SUM16/b+SUM0/b .\SUM15/b
copy >nul .\SUM15/b+SUM0/b .\SUM\SUM18/b
copy >nul .\SUM\SUM18/b+SUM0/b .\SUM17/b
copy >nul .\SUM17/b+SUM0/b .\SUM\SUM20/b
copy >nul .\SUM\SUM20/b+SUM0/b .\SUM19/b
copy >nul .\SUM19/b+SUM0/b .\SUM\SUM22/b
copy >nul .\SUM\SUM22/b+SUM0/b .\SUM21/b
copy >nul .\SUM21/b+SUM0/b .\SUM\SUM24/b
copy >nul .\SUM\SUM24/b+SUM0/b .\SUM23/b
copy >nul .\SUM23/b+SUM0/b .\SUM\SUM26/b
copy >nul .\SUM\SUM26/b+SUM0/b .\SUM25/b
copy >nul .\SUM25/b+SUM0/b .\SUM\SUM28/b
copy >nul .\SUM\SUM28/b+SUM0/b .\SUM27/b
copy >nul .\SUM27/b+SUM0/b .\SUM\SUM30/b
copy >nul .\SUM\SUM30/b+SUM0/b .\SUM29/b
copy >nul .\SUM29/b+SUM0/b .\SUM\SUM32/b
copy >nul .\SUM\SUM32/b+SUM0/b .\SUM31/b
copy >nul .\SUM31/b+SUM0/b .\SUM\SUM34/b
copy >nul .\SUM\SUM34/b+SUM0/b .\SUM33/b
copy >nul .\SUM33/b+SUM0/b .\SUM\SUM36/b
copy >nul .\SUM\SUM36/b+SUM0/b .\SUM35/b
copy >nul .\SUM35/b+SUM0/b .\SUM\SUM38/b
copy >nul .\SUM\SUM38/b+SUM0/b .\SUM37/b
copy >nul .\SUM37/b+SUM0/b .\SUM\SUM40/b
copy >nul .\SUM\SUM40/b+SUM0/b .\SUM39/b
copy >nul .\SUM39/b+SUM0/b .\SUM\SUM42/b
copy >nul .\SUM\SUM42/b+SUM0/b .\SUM41/b
copy >nul .\SUM41/b+SUM0/b .\SUM\SUM44/b
copy >nul .\SUM\SUM44/b+SUM0/b .\SUM43/b
copy >nul .\SUM43/b+SUM0/b .\SUM\SUM46/b
copy >nul .\SUM\SUM46/b+SUM0/b .\SUM45/b
copy >nul .\SUM45/b+SUM0/b .\SUM\SUM48/b
copy >nul .\SUM\SUM48/b+SUM0/b .\SUM47/b
copy >nul .\SUM47/b+SUM0/b .\SUM\SUM50/b
copy >nul .\SUM\SUM50/b+SUM0/b .\SUM49/b
copy >nul .\SUM49/b+SUM0/b .\SUM\SUM52/b
copy >nul .\SUM\SUM52/b+SUM0/b .\SUM51/b
copy >nul .\SUM51/b+SUM0/b .\SUM\SUM54/b
copy >nul .\SUM\SUM54/b+SUM0/b .\SUM53/b
copy >nul .\SUM53/b+SUM0/b .\SUM\SUM56/b
copy >nul .\SUM\SUM56/b+SUM0/b .\SUM55/b
copy >nul .\SUM55/b+SUM0/b .\SUM\SUM58/b
copy >nul .\SUM\SUM58/b+SUM0/b .\SUM57/b
copy >nul .\SUM57/b+SUM0/b .\SUM\SUM60/b
copy >nul .\SUM\SUM60/b+SUM0/b .\SUM59/b
copy >nul .\SUM59/b+SUM0/b .\SUM\SUM62/b
copy >nul .\SUM\SUM62/b+SUM0/b .\SUM61/b
copy >nul .\SUM61/b+SUM0/b .\SUM\SUM64/b
copy >nul .\SUM\SUM64/b+SUM0/b .\SUM63/b
ECHO.
ECHO Copying those files ....
copy >nul .\SUM1 .\SUM\SUM2a
copy >nul .\SUM3 .\SUM\SUM4a
copy >nul .\SUM5 .\SUM\SUM6a
copy >nul .\SUM7 .\SUM\SUM8a
copy >nul .\SUM9 .\SUM\SUM10a
copy >nul .\SUM11 .\SUM\SUM12a
copy >nul .\SUM13 .\SUM\SUM14a
copy >nul .\SUM15 .\SUM\SUM16a
copy >nul .\SUM17 .\SUM\SUM18a
copy >nul .\SUM19 .\SUM\SUM20a
copy >nul .\SUM21 .\SUM\SUM22a
copy >nul .\SUM23 .\SUM\SUM24a
copy >nul .\SUM25 .\SUM\SUM26a
copy >nul .\SUM27 .\SUM\SUM28a
copy >nul .\SUM29 .\SUM\SUM30a
copy >nul .\SUM31 .\SUM\SUM32a
copy >nul .\SUM33 .\SUM\SUM34a
copy >nul .\SUM35 .\SUM\SUM36a
copy >nul .\SUM37 .\SUM\SUM38a
copy >nul .\SUM39 .\SUM\SUM40a
copy >nul .\SUM41 .\SUM\SUM42a
copy >nul .\SUM43 .\SUM\SUM44a
copy >nul .\SUM45 .\SUM\SUM46a
copy >nul .\SUM47 .\SUM\SUM48a
copy >nul .\SUM49 .\SUM\SUM50a
copy >nul .\SUM51 .\SUM\SUM52a
copy >nul .\SUM53 .\SUM\SUM54a
copy >nul .\SUM55 .\SUM\SUM56a
copy >nul .\SUM57 .\SUM\SUM58a
copy >nul .\SUM59 .\SUM\SUM60a
copy >nul .\SUM61 .\SUM\SUM62a
copy >nul .\SUM63 .\SUM\SUM64a

copy >nul .\SUM\SUM2 .\SUM1a
copy >nul .\SUM\SUM4 .\SUM3a
copy >nul .\SUM\SUM6 .\SUM5a
copy >nul .\SUM\SUM8 .\SUM7a
copy >nul .\SUM\SUM10 .\SUM9a
copy >nul .\SUM\SUM12 .\SUM11a
copy >nul .\SUM\SUM14 .\SUM13a
copy >nul .\SUM\SUM16 .\SUM15a
copy >nul .\SUM\SUM18 .\SUM17a
copy >nul .\SUM\SUM20 .\SUM19a
copy >nul .\SUM\SUM22 .\SUM21a
copy >nul .\SUM\SUM24 .\SUM23a
copy >nul .\SUM\SUM26 .\SUM25a
copy >nul .\SUM\SUM28 .\SUM27a
copy >nul .\SUM\SUM30 .\SUM29a
copy >nul .\SUM\SUM32 .\SUM31a
copy >nul .\SUM\SUM34 .\SUM33a
copy >nul .\SUM\SUM36 .\SUM35a
copy >nul .\SUM\SUM38 .\SUM37a
copy >nul .\SUM\SUM40 .\SUM39a
copy >nul .\SUM\SUM42 .\SUM41a
copy >nul .\SUM\SUM44 .\SUM43a
copy >nul .\SUM\SUM46 .\SUM45a
copy >nul .\SUM\SUM48 .\SUM47a
copy >nul .\SUM\SUM50 .\SUM49a
copy >nul .\SUM\SUM52 .\SUM51a
copy >nul .\SUM\SUM54 .\SUM53a
copy >nul .\SUM\SUM56 .\SUM55a
copy >nul .\SUM\SUM58 .\SUM57a
copy >nul .\SUM\SUM60 .\SUM59a
copy >nul .\SUM\SUM62 .\SUM61a
copy >nul .\SUM\SUM64 .\SUM63a

ECHO.
ECHO Creating and copying 64 longer files of different lengths ...
FOR %%X IN (2 4 6 8 10 12 14 16 18 20 22) DO COPY >nul .\SUM\SUM%%X/b .\SUM\SHORT%%X/b
FOR %%X IN (24 26 28 30 32 34 36 38 40 42) DO COPY >nul .\SUM\SUM%%X/b .\SUM\SHORT%%X/b
FOR %%X IN (44 46 48 50 52 54 56 58 60 62 64) DO COPY >nul .\SUM\SUM%%X/b .\SUM\SHORT%%X/b

copy >nul .\SUM\SHORT*/b+\SUM0/b .\LONG1/b
copy >nul .\SUM\SUM*/b+.\SUM1/b .\LONG2/b
copy >nul .\SUM\SHORT*/b+\SUM3/b .\LONG3/b
copy >nul .\SUM\SUM*/b+.\SUM5/b .\LONG4/b
copy >nul .\SUM\SHORT*/b+\SUM7/b .\LONG5/b
copy >nul .\SUM\SUM*/b+.\SUM9/b .\LONG6/b
copy >nul .\SUM\SHORT*/b+\SUM11/b .\LONG7/b
copy >nul .\SUM\SUM*/b+.\SUM13/b .\LONG8/b

copy >nul .\LONG1/b+.\SUM\SHORT*/b+\SUM15/b .\LONG9/b
copy >nul .\LONG2/b+.\SUM\SUM*/b+.\SUM17/b .\LONG10/b
copy >nul .\LONG3/b+.\SUM\SHORT*/b+\SUM19/b .\LONG11/b
copy >nul .\LONG4/b+.\SUM\SUM*/b+.\SUM21/b .\LONG12/b
copy >nul .\LONG5/b+.\SUM\SHORT*/b+\SUM23/b .\LONG13/b
copy >nul .\LONG6/b+.\SUM\SUM*/b+.\SUM25/b .\LONG14/b
copy >nul .\LONG7/b+.\SUM\SHORT*/b+\SUM27/b .\LONG15/b
copy >nul .\LONG8/b+.\SUM\SUM*/b+.\SUM29/b .\LONG16/b

copy >nul .\LONG1/b+\SUM31/b .\LONG17/b
copy >nul .\SUM\SUM*/b+.\SUM33/b .\LONG18/b
copy >nul .\SUM\SHORT*/b+\SUM35/b .\LONG19/b

copy >nul .\LONG2/b+.\SUM37/b .\LONG20/b
copy >nul .\SUM\SUM*/b+.\SUM39/b .\LONG21/b
copy >nul .\SUM\SHORT*/b+\SUM41/b .\LONG22/b

copy >nul .\LONG3/b+.\SUM43/b .\LONG23/b
copy >nul .\SUM\SUM*/b+.\SUM45/b .\LONG24/b
copy >nul .\SUM\SHORT*/b+\SUM47/b .\LONG25/b

copy >nul .\LONG4/b+\SUM49/b .\LONG26/b
copy >nul .\SUM\SUM*/b+.\SUM51/b .\LONG27/b
copy >nul .\SUM\SHORT*/b+\SUM53/b .\LONG28/b

copy >nul .\LONG5/b+.\SUM55/b .\LONG29/b
copy >nul .\SUM\SUM*/b+.\SUM57/b .\LONG30/b
copy >nul .\SUM\SHORT*/b+\SUM59/b .\LONG31/b

copy >nul .\LONG6/b+\SUM61/b .\LONG32/b
copy >nul .\SUM\SUM*/b+.\SUM63/b .\LONG33/b
copy >nul .\SUM\SHORT*/b+\LONG9/b .\LONG34/b

copy >nul .\LONG7/b+.\LONG10/b .\LONG35/b
copy >nul .\SUM\SUM*/b+.\LONG11/b .\LONG36/b
copy >nul .\SUM\SHORT*/b+\LONG12/b .\LONG37/b

copy >nul .\LONG8/b+.\LONG13/b .\LONG38/b
copy >nul .\SUM\SUM*/b+.\LONG14/b .\LONG39/b
copy >nul .\SUM\SHORT*/b+\LONG15/b .\LONG40/b

copy >nul .\LONG9/b+\LONG16/b .\LONG41/b
copy >nul .\SUM\SUM*/b+.\LONG17/b .\LONG42/b
copy >nul .\LONG10/b+\LONG18/b .\LONG43/b
copy >nul .\LONG11/b+.\LONG19/b .\LONG44/b
copy >nul .\SUM\SHORT*/b+\LONG20/b .\LONG45/b
copy >nul .\LONG12/b+.\LONG21/b .\LONG46/b
copy >nul .\LONG13/b+\LONG22/b .\LONG47/b
copy >nul .\SUM\SUM*/b+.\LONG23/b .\LONG48/b
copy >nul .\LONG14/b+\LONG24/b .\LONG49/b
copy >nul .\LONG15/b+.\LONG25/b .\LONG50/b
copy >nul .\SUM\SHORT*/b+\LONG26/b .\LONG51/b
copy >nul .\LONG16/b+.\LONG27/b .\LONG52/b
copy >nul .\LONG17/b+\LONG28/b .\LONG53/b
copy >nul .\SUM\SUM*/b+.\LONG29/b .\LONG54/b
copy >nul .\LONG18/b+\LONG30/b .\LONG55/b

copy >nul .\LONG19/b+.\LONG31/b .\LONG56/b
copy >nul .\LONG20/b+\LONG32/b .\LONG57/b
copy >nul .\LONG21/b+.\LONG33/b .\LONG58/b
copy >nul .\LONG22/b+\LONG34/b .\LONG59/b
copy >nul .\LONG23/b+.\LONG35/b .\LONG60/b
copy >nul .\LONG24/b+\LONG36/b .\LONG61/b
copy >nul .\LONG25/b+.\LONG37/b .\LONG62/b
copy >nul .\LONG26/b+\LONG38/b .\LONG63/b
copy >nul .\LONG27/b+.\LONG39/b .\LONG64/b

ECHO.
ECHO Compacting to longer files ...
copy >nul .\SUM*/b .\BSUMMED/b
copy >nul .\SUM\SHORT*/b+.\BSUMMED/b .\SUMSHORT/b
copy >nul .\LONG*/b+.\SUMSHORT/b+.\SUM\SHORT*/b+.\BSUMMED/b .\BLONGER/b
ECHO 
..\timemark stop

ECHO Cleaning up ...
ECHO.
erase .\sum\sum*
erase .\sum\short*
erase .\sum*
erase .\long*
erase .\Bsum*
erase .\Blong*
RD SUM
CD ..
RD !TEST!
ECHO 
ECHO Total .........................................................................
timemark stop
:end
